package imt;

import static imt.ConcoursTest.jury1;
import static imt.ConcoursTest.jury2;
import static imt.ConcoursTest.jury3;
import static imt.ConcoursTest.proposition1;
import static imt.ConcoursTest.proposition2;
import static imt.ConcoursTest.proposition3;
import static imt.ConcoursTest.proposition4;
import static imt.ConcoursTest.proposition5;
import static imt.ConcoursTest.propositions;
import static org.assertj.core.api.Assertions.assertThat;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

import org.junit.jupiter.api.Test;

public class FileConcoursTest {
	@Test
	void fileDeConcours_passage_au_suivant() {
		Concours concours1 = new Concours(jury1, jury2, jury3, propositions);
	}

	@Test
	void fileDeConcours_classement_actuel() {
		Concours concours1 = new Concours(jury1, jury2, jury3, propositions);

		List<Proposition> expected = new ArrayList<>();
		expected.add(proposition1);
		expected.add(proposition2);
		expected.add(proposition3);
		expected.add(proposition4);
		expected.add(proposition5);

		proposition1.setNote(Optional.of(1));
		proposition2.setNote(Optional.of(2));
		proposition3.setNote(Optional.of(3));
		proposition4.setNote(Optional.of(4));
		// proposition5.setNote(Optional.of(100));

		assertThat(concours1.classement()).isEqualTo(expected);

		System.out.println(concours1.classement());
	}
}
