package imt;

import imt.ingredients.Consigne;
import imt.ingredients.Ingredient;
import imt.ingredients.Legume;
import imt.ingredients.ViandePoisson;

public class Application {

    public static void main(String[] args) {
		// var chef = new Chef(1, "Caca", "Pipi", "DQSQFQSF", Genre.HOMME, 3, Specialite.CUISINIER);
        // var padawan = new Padawan(1, "Hazebrouck", "Antoine", "06 51 73 08 05", Genre.HOMME, chef);

		// System.out.println(padawan);

        Ingredient ingredient1 = new Legume(1,"Oignons",120,false);
        Ingredient ingredient2 = new Legume(2,"Patate",120,false);
        Ingredient ingredient3 = new ViandePoisson(3,"Poulet",120,12);
        ingredient1.setConsigne(Consigne.CUIT);
        ingredient2.setConsigne(Consigne.CUIT);
        ingredient3.setConsigne(Consigne.CUIT);
        Ingredient[] ingredients = {ingredient1, ingredient2, ingredient3};

        Plat plat = new Plat(1,"Oignon Poulet patate", ingredients);
        System.out.println(plat);
    }
}
