package imt.ingredients;

public class Ingredient {
    private int idIngredient;
    private String nomIngredient;
    private int quantité;
    private Consigne consigne;

    public Ingredient(int idIngredient, String nomIngredient) {
        this.idIngredient = idIngredient;
        this.nomIngredient = nomIngredient;
        this.quantité = 0;
        this.consigne = null;
    }

    public int getIdIngredient() {
        return idIngredient;
    }

    public void setIdIngredient(int idIngredient) {
        this.idIngredient = idIngredient;
    }

    public String getNomIngredient() {
        return nomIngredient;
    }

    public void setNomIngredient(String nomIngredient) {
        this.nomIngredient = nomIngredient;
    }

    public int getQuantité() {
        return quantité;
    }

    public void setQuantité(int quantité) {
        this.quantité = quantité;
    }

    public Consigne getConsigne() {
        return consigne;
    }

    public void setConsigne(Consigne consigne) {
        this.consigne = consigne;
    }

    public String toString() {
        return "Ingredient [idIngredient=" + idIngredient + ", nomIngredient=" + nomIngredient + "]";
    }
}
